umbrello: CSharpImport Class Reference

umbrello 2.38.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
CSharpImport Class Reference

`#include <csharpimport.h>`

Inheritance diagram for CSharpImport:

## Public Member Functions
| CSharpImport (CodeImpThread *thread=0)
virtual | ~CSharpImport ()
QString | fileExtension ()
void | fillSource (const QString &word)
Public Member Functions inherited from CsValaImportBase
| CsValaImportBase (CodeImpThread *thread=0)
virtual | ~CsValaImportBase ()
virtual QString | fileExtension ()
Public Member Functions inherited from NativeImportBase
| NativeImportBase (const QString &singleLineCommentIntro, CodeImpThread *thread=0)
virtual | ~NativeImportBase ()
Public Member Functions inherited from ClassImport
| ClassImport (CodeImpThread *thread=0)
virtual | ~ClassImport ()
bool | importFiles (const QStringList &fileNames)
bool | importFile (const QString &fileName)
void | setRootPath (const QString &path)
bool | enabled () const

## Additional Inherited Members
Static Public Member Functions inherited from ClassImport
static ClassImport * | createImporterByFileExt (const QString &fileName, CodeImpThread *thread=0)
Protected Member Functions inherited from CsValaImportBase
void | initVars ()
bool | parseStmt ()
void | fillSource (const QString &word)
bool | preprocess (QString &line)
bool | parseFile (const QString &filename)
UMLObject * | resolveClass (const QString &className)
void | spawnImport (const QString &file)
QString | joinTypename (const QString &typeName)
Protected Member Functions inherited from NativeImportBase
void | initialize ()
void | setMultiLineComment (const QString &intro, const QString &end)
void | setMultiLineAltComment (const QString &intro, const QString &end)
virtual bool | parseFile (const QString &filename)
virtual void | initVars ()
void | scan (const QString &line)
virtual bool | preprocess (QString &line)
virtual QStringList | split (const QString &line)
virtual void | fillSource (const QString &word)=0
virtual bool | parseStmt ()=0
void | skipStmt (const QString &until=QStringLiteral(";"))
bool | skipToClosing (QChar opener)
QString | current ()
QString | lookAhead ()
virtual QString | advance ()
void | pushScope (UMLPackage *p)
UMLPackage * | popScope ()
UMLPackage * | currentScope ()
int | scopeIndex ()
Protected Member Functions inherited from ClassImport
virtual void | initialize ()=0
virtual void | initPerFile ()
virtual bool | parseFile (const QString &fileName)=0
void | log (const QString &file, const QString &text)
void | log (const QString &text)
Protected Attributes inherited from CsValaImportBase
bool | m_isStatic
| static flag for the member var or method
QString | m_currentFileName
| current filename being parsed
QString | m_currentPackage
| current package of the file being parsed
QStringList | m_imports
| imports included in the current file
Uml::Visibility::Enum | m_defaultCurrentAccess
| current visibility for when the visibility is absent
Uml::ProgrammingLanguage::Enum | m_language
Protected Attributes inherited from NativeImportBase
QString | m_singleLineCommentIntro
| start token of a single line comment
QStringList | m_source
| the scanned lexemes
int | m_srcIndex
| used for indexing m_source
QList< UMLPackage * > | m_scope
| stack of scopes for use by the specific importer
UMLClassifier * | m_klass
| class currently being processed
Uml::Visibility::Enum | m_currentAccess
| current access (public/protected/private)
QString | m_comment
| intermediate accumulator for comment text
bool | m_inComment
bool | m_isAbstract
| accumulator for abstractness
QString | m_multiLineCommentIntro
| multi line comment delimiter intro
QString | m_multiLineCommentEnd
| multi line comment delimiter end
QString | m_multiLineAltCommentIntro
QString | m_multiLineAltCommentEnd
Protected Attributes inherited from ClassImport
CodeImpThread * | m_thread
| thread in which the work of importing is done
bool | m_enabled
| state of importer
QString | m_rootPath
| root path of import
Static Protected Attributes inherited from CsValaImportBase
static QStringList | s_filesAlreadyParsed
static int | s_parseDepth = 0
Static Protected Attributes inherited from NativeImportBase
static QStringList | m_parsedFiles

## Detailed Description

Derivation of CsValaImportBase for C#

Author
  Oliver Kellogg Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Constructor & Destructor Documentation

## ◆ CSharpImport()

CSharpImport::CSharpImport | ( | CodeImpThread * | thread = `0` | ) |
| explicit

Constructor.

## ◆ ~CSharpImport()

CSharpImport::~CSharpImport | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ fileExtension()

QString CSharpImport::fileExtension | ( |  | ) |
| virtual

Reimplementation of method from CsValaImportBase

Reimplemented from CsValaImportBase.

## ◆ fillSource()

void CSharpImport::fillSource | ( | const QString & | word | ) |
| virtual

Reimplement operation from CsValaImportBase.

Parameters

  word | whitespace delimited item

Implements NativeImportBase.

The documentation for this class was generated from the following files:

- umbrello/codeimport/csharp/csharpimport.h
- umbrello/codeimport/csharp/csharpimport.cpp